Pauses for user input of a point.
Rhino.GetPoint ([strMessage [, arrPoint [, dblDistance [, blnPlane [, blnSnapObject]]]]])
Rhino.GetPoint ([strMessage [, arrPoint [, arrEndPoint [, blnPlane [, blnSnapObject]]]]])
strMessage |
Optional. String. A prompt or message. |
arrPoint |
Optional. Array. A starting, or base, point. |
dblDistance |
Optional. Number. If arrPoint is specified, then dblDistance is distance from the base point to which point picking is constrained. |
arrEndPoint |
Optional. Array. If arrPoint is specified, then arrEndPoint is the end point of the line, between the two points, to which point picking is constrained. |
blnPlane |
Optional. Boolean. Constrain the point selection to the active construction plane. |
blnSnapObject |
Optional. Boolean. If specified, then both the picked point and the identifier of the object that the point was snapped to is returned. If no object was snapped to, then Null is returned. |
Array |
If blnSnapObject was not specified or false, then the 3-D point input by the user, if successful. If blnSpapObject was specified and true, then an array containing the following, if successful:
|
||||||||||||||||||
Null |
If not successful, or on error. |
Dim arrPt1, arrPt2, arrPt3, dblDistance
arrPt1 = Rhino.GetPoint("Pick first point")
If IsArray(arrPt1) Then
Rhino.AddPoint(arrPt1)
arrPt2 = Rhino.GetPoint("Pick second point", arrPt1)
If IsArray(arrPt2) Then
Rhino.AddPoint(arrPt2)
dblDistance = Rhino.Distance(arrPt1, arrPt2)
arrPt3 = Rhino.GetPoint("Pick third point", arrPt2, dblDistance)
If IsArray(arrPt3) then
Rhino.AddPoint arrPt3
End If
End If
End If